upstream app {
    server app:3000;
}

server {
    listen  80;
    listen  [::]:80;
    server_name _;

    location /.well-known/acme-challenge {
        root /var/www/certbot;
    }

    location / {
       return 301 https://$host$request_uri;
    }
   
}

server {
    listen 443 ssl;
    server_name balusport.online;

    ssl_certificate /etc/letsencrypt/live/balusport.online/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/balusport.online/privkey.pem;

    location / {
        proxy_pass http://app;
    }
}
